org.apache.ignite.internal.processors.hadoop

## Class HadoopClasspathUtils.PrefixDirectoryFilter

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopClasspathUtils.PrefixDirectoryFilter

All Implemented Interfaces:
  HadoopClasspathUtils.DirectoryFilter

Enclosing class:
  HadoopClasspathUtils

    public static class HadoopClasspathUtils.PrefixDirectoryFilter
    extends Object
    implements HadoopClasspathUtils.DirectoryFilter

Filter which uses prefix to filter files.

### Constructor Summary

Constructors
Constructor and Description
`PrefixDirectoryFilter(String prefix)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test(String name)` Test if file with this name should be included.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrefixDirectoryFilter

    public PrefixDirectoryFilter(String prefix)

Constructor.

Parameters:
  `prefix` - Prefix.

### Method Detail

#### test

    public boolean test(String name)

Test if file with this name should be included.

Specified by:
  `test` in interface `HadoopClasspathUtils.DirectoryFilter`
Parameters:
  `name` - File name.
Returns:
  `True` if passed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019